MgmtRoleCommandsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class MgmtRoleCommandsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.MgmtRoleCommandsResourceApi

-     public class MgmtRoleCommandsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MgmtRoleCommandsResourceApi()`
    `MgmtRoleCommandsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiBulkCommandList` | `jmapDump(ApiRoleNameList body)` Run the jmapDump diagnostic command.
    `okhttp3.Call` | `jmapDumpAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the jmapDump diagnostic command.
    `okhttp3.Call` | `jmapDumpCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for jmapDump
    `ApiResponse<ApiBulkCommandList>` | `jmapDumpWithHttpInfo(ApiRoleNameList body)` Run the jmapDump diagnostic command.
    `ApiBulkCommandList` | `jmapHisto(ApiRoleNameList body)` Run the jmapHisto diagnostic command.
    `okhttp3.Call` | `jmapHistoAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the jmapHisto diagnostic command.
    `okhttp3.Call` | `jmapHistoCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for jmapHisto
    `ApiResponse<ApiBulkCommandList>` | `jmapHistoWithHttpInfo(ApiRoleNameList body)` Run the jmapHisto diagnostic command.
    `ApiBulkCommandList` | `jstack(ApiRoleNameList body)` Run the jstack diagnostic command.
    `okhttp3.Call` | `jstackAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the jstack diagnostic command.
    `okhttp3.Call` | `jstackCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for jstack
    `ApiResponse<ApiBulkCommandList>` | `jstackWithHttpInfo(ApiRoleNameList body)` Run the jstack diagnostic command.
    `ApiBulkCommandList` | `lsof(ApiRoleNameList body)` Run the lsof diagnostic command.
    `okhttp3.Call` | `lsofAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the lsof diagnostic command.
    `okhttp3.Call` | `lsofCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for lsof
    `ApiResponse<ApiBulkCommandList>` | `lsofWithHttpInfo(ApiRoleNameList body)` Run the lsof diagnostic command.
    `ApiBulkCommandList` | `restartCommand(ApiRoleNameList body)` Restart a set of Cloudera Management Services roles.
    `okhttp3.Call` | `restartCommandAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Restart a set of Cloudera Management Services roles.
    `okhttp3.Call` | `restartCommandCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for restartCommand
    `ApiResponse<ApiBulkCommandList>` | `restartCommandWithHttpInfo(ApiRoleNameList body)` Restart a set of Cloudera Management Services roles.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiBulkCommandList` | `startCommand(ApiRoleNameList body)` Start a set of Cloudera Management Services roles.
    `okhttp3.Call` | `startCommandAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Start a set of Cloudera Management Services roles.
    `okhttp3.Call` | `startCommandCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startCommand
    `ApiResponse<ApiBulkCommandList>` | `startCommandWithHttpInfo(ApiRoleNameList body)` Start a set of Cloudera Management Services roles.
    `ApiBulkCommandList` | `stopCommand(ApiRoleNameList body)` Stop a set of Cloudera Management Services roles.
    `okhttp3.Call` | `stopCommandAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Stop a set of Cloudera Management Services roles.
    `okhttp3.Call` | `stopCommandCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopCommand
    `ApiResponse<ApiBulkCommandList>` | `stopCommandWithHttpInfo(ApiRoleNameList body)` Stop a set of Cloudera Management Services roles.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MgmtRoleCommandsResourceApi

          public MgmtRoleCommandsResourceApi()

    - #### MgmtRoleCommandsResourceApi

          public MgmtRoleCommandsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### jmapDumpCall

          public okhttp3.Call jmapDumpCall(ApiRoleNameList body,
                                           ProgressResponseBody.ProgressListener progressListener,
                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                    throws ApiException

      Build call for jmapDump
      Parameters:
        `body` - the names of the roles to jmap. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### jmapDump

          public ApiBulkCommandList jmapDump(ApiRoleNameList body)
                                      throws ApiException

      Run the jmapDump diagnostic command. Run the jmapDump diagnostic command. The command runs the jmap utility to capture a dump of the role's java heap. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapDumpWithHttpInfo

          public ApiResponse<ApiBulkCommandList> jmapDumpWithHttpInfo(ApiRoleNameList body)
                                                               throws ApiException

      Run the jmapDump diagnostic command. Run the jmapDump diagnostic command. The command runs the jmap utility to capture a dump of the role's java heap. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapDumpAsync

          public okhttp3.Call jmapDumpAsync(ApiRoleNameList body,
                                            ApiCallback<ApiBulkCommandList> callback)
                                     throws ApiException

      Run the jmapDump diagnostic command. (asynchronously) Run the jmapDump diagnostic command. The command runs the jmap utility to capture a dump of the role's java heap. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jmap. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### jmapHistoCall

          public okhttp3.Call jmapHistoCall(ApiRoleNameList body,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for jmapHisto
      Parameters:
        `body` - the names of the roles to jmap. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### jmapHisto

          public ApiBulkCommandList jmapHisto(ApiRoleNameList body)
                                       throws ApiException

      Run the jmapHisto diagnostic command. Run the jmapHisto diagnostic command. The command runs the jmap utility to capture a histogram of the objects on the role's java heap. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapHistoWithHttpInfo

          public ApiResponse<ApiBulkCommandList> jmapHistoWithHttpInfo(ApiRoleNameList body)
                                                                throws ApiException

      Run the jmapHisto diagnostic command. Run the jmapHisto diagnostic command. The command runs the jmap utility to capture a histogram of the objects on the role's java heap. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapHistoAsync

          public okhttp3.Call jmapHistoAsync(ApiRoleNameList body,
                                             ApiCallback<ApiBulkCommandList> callback)
                                      throws ApiException

      Run the jmapHisto diagnostic command. (asynchronously) Run the jmapHisto diagnostic command. The command runs the jmap utility to capture a histogram of the objects on the role's java heap. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jmap. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### jstackCall

          public okhttp3.Call jstackCall(ApiRoleNameList body,
                                         ProgressResponseBody.ProgressListener progressListener,
                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                  throws ApiException

      Build call for jstack
      Parameters:
        `body` - the names of the roles to jstack. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### jstack

          public ApiBulkCommandList jstack(ApiRoleNameList body)
                                    throws ApiException

      Run the jstack diagnostic command. Run the jstack diagnostic command. The command runs the jstack utility to capture a role's java thread stacks. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jstack. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jstackWithHttpInfo

          public ApiResponse<ApiBulkCommandList> jstackWithHttpInfo(ApiRoleNameList body)
                                                             throws ApiException

      Run the jstack diagnostic command. Run the jstack diagnostic command. The command runs the jstack utility to capture a role's java thread stacks. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jstack. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jstackAsync

          public okhttp3.Call jstackAsync(ApiRoleNameList body,
                                          ApiCallback<ApiBulkCommandList> callback)
                                   throws ApiException

      Run the jstack diagnostic command. (asynchronously) Run the jstack diagnostic command. The command runs the jstack utility to capture a role's java thread stacks. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to jstack. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### lsofCall

          public okhttp3.Call lsofCall(ApiRoleNameList body,
                                       ProgressResponseBody.ProgressListener progressListener,
                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                throws ApiException

      Build call for lsof
      Parameters:
        `body` - the names of the roles to lsof. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### lsof

          public ApiBulkCommandList lsof(ApiRoleNameList body)
                                  throws ApiException

      Run the lsof diagnostic command. Run the lsof diagnostic command. This command runs the lsof utility to list a role's open files. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to lsof. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### lsofWithHttpInfo

          public ApiResponse<ApiBulkCommandList> lsofWithHttpInfo(ApiRoleNameList body)
                                                           throws ApiException

      Run the lsof diagnostic command. Run the lsof diagnostic command. This command runs the lsof utility to list a role's open files. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to lsof. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### lsofAsync

          public okhttp3.Call lsofAsync(ApiRoleNameList body,
                                        ApiCallback<ApiBulkCommandList> callback)
                                 throws ApiException

      Run the lsof diagnostic command. (asynchronously) Run the lsof diagnostic command. This command runs the lsof utility to list a role's open files. <p/> Available since API v8.
      Parameters:
        `body` - the names of the roles to lsof. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### restartCommandCall

          public okhttp3.Call restartCommandCall(ApiRoleNameList body,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for restartCommand
      Parameters:
        `body` - The roles to restart. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### restartCommand

          public ApiBulkCommandList restartCommand(ApiRoleNameList body)
                                            throws ApiException

      Restart a set of Cloudera Management Services roles. Restart a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to restart. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> restartCommandWithHttpInfo(ApiRoleNameList body)
                                                                     throws ApiException

      Restart a set of Cloudera Management Services roles. Restart a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to restart. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandAsync

          public okhttp3.Call restartCommandAsync(ApiRoleNameList body,
                                                  ApiCallback<ApiBulkCommandList> callback)
                                           throws ApiException

      Restart a set of Cloudera Management Services roles. (asynchronously) Restart a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to restart. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startCommandCall

          public okhttp3.Call startCommandCall(ApiRoleNameList body,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for startCommand
      Parameters:
        `body` - The roles to start. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startCommand

          public ApiBulkCommandList startCommand(ApiRoleNameList body)
                                          throws ApiException

      Start a set of Cloudera Management Services roles. Start a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to start. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> startCommandWithHttpInfo(ApiRoleNameList body)
                                                                   throws ApiException

      Start a set of Cloudera Management Services roles. Start a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to start. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandAsync

          public okhttp3.Call startCommandAsync(ApiRoleNameList body,
                                                ApiCallback<ApiBulkCommandList> callback)
                                         throws ApiException

      Start a set of Cloudera Management Services roles. (asynchronously) Start a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to start. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopCommandCall

          public okhttp3.Call stopCommandCall(ApiRoleNameList body,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for stopCommand
      Parameters:
        `body` - The roles to stop. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopCommand

          public ApiBulkCommandList stopCommand(ApiRoleNameList body)
                                         throws ApiException

      Stop a set of Cloudera Management Services roles. Stop a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to stop. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> stopCommandWithHttpInfo(ApiRoleNameList body)
                                                                  throws ApiException

      Stop a set of Cloudera Management Services roles. Stop a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to stop. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandAsync

          public okhttp3.Call stopCommandAsync(ApiRoleNameList body,
                                               ApiCallback<ApiBulkCommandList> callback)
                                        throws ApiException

      Stop a set of Cloudera Management Services roles. (asynchronously) Stop a set of Cloudera Management Services roles.
      Parameters:
        `body` - The roles to stop. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.